QOF: QsfMetadata_s Struct Reference

QOF 0.7.5

Data Fields
QsfMetadata_s Struct Reference

QSF Parameters. More...

`#include <qsf-xml.h>`

## Data Fields
QsfType | file_type
QsfObject * | object_set
gint | count
GList * | qsf_object_list
GSList * | qsf_sequence
GList * | referenceList
GHashTable * | qsf_parameter_hash
GHashTable * | qsf_define_hash
GHashTable * | qsf_calculate_hash
GHashTable * | qsf_default_hash
GSList * | supported_types
xmlDocPtr | input_doc
xmlDocPtr | output_doc
xmlNodePtr | child_node
xmlNodePtr | convert_node
xmlNodePtr | param_node
xmlNodePtr | output_node
xmlNodePtr | output_root
xmlNodePtr | book_node
xmlNodePtr | lister
xmlNsPtr | qsf_ns
xmlNsPtr | map_ns
const gchar * | qof_type
QofIdType | qof_obj_type
QofIdType | qof_foreach
gint | foreach_limit
QofEntity * | qsf_ent
QofBackend * | be
gboolean | knowntype
QofParam * | qof_param
QofBook * | book
gint | boolean_calculation_done
gchar * | filepath
gchar * | map_path
gchar * | full_kvp_path
gint64 | use_gz_level
GList * | map_files
const gchar * | encoding
gint64 | convert
QofErrorId | err_nomap
QofErrorId | err_overflow

## Detailed Description

QSF Parameters.

This struct is a catch-all for all parameters required for various stages of the process. There are lots of elements here that will finally be removed.

Definition at line 469 of file qsf-xml.h.

## Field Documentation

## ◆ be

QofBackend* QsfMetadata_s::be

the current QofBackend for this operation.

Definition at line 519 of file qsf-xml.h.

## ◆ book

QofBook* QsfMetadata_s::book

the current QofBook.

Theoretically, QSF can handle multiple QofBooks - currently limited to 1.

Definition at line 529 of file qsf-xml.h.

## ◆ book_node

xmlNodePtr QsfMetadata_s::book_node

Node for the book.

Definition at line 503 of file qsf-xml.h.

## ◆ boolean_calculation_done

gint QsfMetadata_s::boolean_calculation_done

simple trip once this boolean is complete.

Definition at line 531 of file qsf-xml.h.

## ◆ child_node

xmlNodePtr QsfMetadata_s::child_node

The current child_node.

Definition at line 493 of file qsf-xml.h.

## ◆ convert

gint64 QsfMetadata_s::convert

Convert date to time on file write. Off.

Definition at line 549 of file qsf-xml.h.

## ◆ convert_node

xmlNodePtr QsfMetadata_s::convert_node

Node in the converted object

Definition at line 495 of file qsf-xml.h.

## ◆ count

gint QsfMetadata_s::count

sequential counter for each object in the book

Definition at line 476 of file qsf-xml.h.

## ◆ encoding

const gchar* QsfMetadata_s::encoding

Backend encoding option - defaults to UTF-8.

Definition at line 547 of file qsf-xml.h.

## ◆ file_type

QsfType QsfMetadata_s::file_type

what type of file is being handled

Definition at line 472 of file qsf-xml.h.

## ◆ filepath

gchar* QsfMetadata_s::filepath

Path to the QSF file.

Definition at line 533 of file qsf-xml.h.

## ◆ foreach_limit

gint QsfMetadata_s::foreach_limit

How many iterations are found in the QSF

Definition at line 515 of file qsf-xml.h.

## ◆ full_kvp_path

gchar* QsfMetadata_s::full_kvp_path

Full path for each KvpValue written out.

Definition at line 537 of file qsf-xml.h.

## ◆ input_doc

xmlDocPtr QsfMetadata_s::input_doc

Pointer to the input xml document(s).

Definition at line 489 of file qsf-xml.h.

## ◆ knowntype

gboolean QsfMetadata_s::knowntype

detect references by comparing with known QOF types.

Definition at line 521 of file qsf-xml.h.

## ◆ lister

xmlNodePtr QsfMetadata_s::lister

Comparison node for map defaults.

Definition at line 505 of file qsf-xml.h.

## ◆ map_files

GList* QsfMetadata_s::map_files

List of selected map files for this session.

Defaults to the pre-installed QSF maps, currently: pilot-qsf-GnuCashInvoice.xml

Definition at line 545 of file qsf-xml.h.

## ◆ map_path

gchar* QsfMetadata_s::map_path

Path to best match map, if any.

Definition at line 535 of file qsf-xml.h.

## ◆ object_set

QsfObject* QsfMetadata_s::object_set

current object set for qsf_object_list.

Definition at line 474 of file qsf-xml.h.

## ◆ output_doc

xmlDocPtr QsfMetadata_s::output_doc

Pointer to the output xml document(s).

Definition at line 491 of file qsf-xml.h.

## ◆ output_node

xmlNodePtr QsfMetadata_s::output_node

Node in the output document.

Definition at line 499 of file qsf-xml.h.

## ◆ output_root

xmlNodePtr QsfMetadata_s::output_root

Root node of the output document.

Definition at line 501 of file qsf-xml.h.

## ◆ param_node

xmlNodePtr QsfMetadata_s::param_node

Node for parameter data.

Definition at line 497 of file qsf-xml.h.

## ◆ qof_foreach

QofIdType QsfMetadata_s::qof_foreach

How to iterate over hierarchical entities.

Definition at line 513 of file qsf-xml.h.

## ◆ qof_obj_type

QofIdType QsfMetadata_s::qof_obj_type

current QofObject type (e_type) for the parameters.

Definition at line 511 of file qsf-xml.h.

## ◆ qof_param

QofParam* QsfMetadata_s::qof_param

used by kvp to handle the frame hash table

Definition at line 523 of file qsf-xml.h.

## ◆ qof_type

const gchar* QsfMetadata_s::qof_type

Holds details of the QOF_TYPE

Definition at line 509 of file qsf-xml.h.

## ◆ qsf_ent

QofEntity* QsfMetadata_s::qsf_ent

Current entity in the book.

Definition at line 517 of file qsf-xml.h.

## ◆ qsf_ns

xmlNsPtr QsfMetadata_s::qsf_ns

Separate namespaces for QSF objects and QSF maps.

Definition at line 507 of file qsf-xml.h.

## ◆ qsf_object_list

GList* QsfMetadata_s::qsf_object_list

list of qsf_objects

Definition at line 478 of file qsf-xml.h.

## ◆ qsf_parameter_hash

GHashTable* QsfMetadata_s::qsf_parameter_hash

Hashtable of parameters for each object

Definition at line 484 of file qsf-xml.h.

## ◆ qsf_sequence

GSList* QsfMetadata_s::qsf_sequence

Parameter list sorted into QSF order

Definition at line 480 of file qsf-xml.h.

## ◆ referenceList

GList* QsfMetadata_s::referenceList

Table of references, QofEntityReference.

Definition at line 482 of file qsf-xml.h.

## ◆ supported_types

GSList* QsfMetadata_s::supported_types

The list of QOF types currently supported, in QSF order.

Definition at line 487 of file qsf-xml.h.

## ◆ use_gz_level

gint64 QsfMetadata_s::use_gz_level

Default compression level.

Definition at line 539 of file qsf-xml.h.

The documentation for this struct was generated from the following file:

- qsf-xml.h